%RIMLESS XzC[̉^
function dq = rimless(~, q)

	global m L I0 g;

	% s
	M = zeros(3, 3);
	M(1, 1) = m;
	M(1, 2) = 0;
	M(1, 3) = m*L*cos(q(3));
	
	M(2, 1) = 0;
	M(2, 2) = m;
	M(2, 3) = -L*m*sin(q(3));
	
	M(3, 1) = L*m*cos(q(3));
	M(3, 2) = -L*m*sin(q(3));
	M(3, 3) = I0 + m*L^2;
	
	% RÍEŚEd͍
	h = zeros(3, 1);
	h(1, 1) = -q(6)^2*L*m*sin(q(3));
	h(2, 1) = m*(g - q(6)^2*L*cos(q(3)));
	h(3, 1) = -m*g*L*sin(q(3));
	
	% zm~bNS
	J = [ 1 0 0;
		  0 1 0 ];
	lambda = (J/M*J')\(J/M*h);
	
	dq = zeros(6, 1);
	dq(1:3) = q(4:6);
	dq(4:6) = M\(J'*lambda - h);
end